YUI Flash Component Documentation |
Interface ILegend

Package | com.yahoo.astra.fl.charts.legend
Interface | public interface ILegend
Implementors | Legend

Properties required by a chart's legend.

See also

com.yahoo.astra.fl.charts.Chart

Public Properties

| Property | Defined by
--- | --- | ---
|  | dataProvider : Array An Array of LegendItemData objects. | ILegend

Property detail

dataProvider | property

`dataProvider:Array` [read-write]

An Array of LegendItemData objects.

Implementation
`public function get dataProvider():Array`
`public function set dataProvider(value:Array):void`

See also

com.yahoo.astra.fl.charts.legend.LegendItemData